---
apiVersion: batch/v1
kind: CronJob
metadata:
  name: vault-unseal
  namespace: vault
  labels:
    app.kubernetes.io/name: vault-unseal
    app.kubernetes.io/part-of: kanod-services
spec:
  schedule: "*/5 * * * *"
  concurrencyPolicy: Forbid
  startingDeadlineSeconds: 300
  successfulJobsHistoryLimit: 2
  failedJobsHistoryLimit: 2
  jobTemplate:
    spec:
      template:
        spec:
          containers:
          - name: unseal
            image: "python:3.9-slim"
            command: [ "sh", "/scripts/unseal-vault.sh" ]
            volumeMounts:
            - mountPath: /data
              name: data
            - mountPath: /scripts
              name: scripts
            - mountPath: /app
              name: app
            envFrom:
              - configMapRef:
                  name: proxies
          volumes:
          - name: scripts
            configMap:
              name: scripts-vault
          - name: data
            persistentVolumeClaim:
              claimName: vault-data-claim
          - name: app
            emptyDir: {}
          restartPolicy: OnFailure
